MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026323Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-06-08 11:462016-04-20 15:48
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026323: Tolerance computing unification
DescriptionAfter 21564 patch new algorithm for tolerance computing added (computeFastTol3d). It is necessary to change it to BRepLib_CheckCurveOnSurface method after integration of #25613.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026506closedbugmaster Open CASCADE Change class BRepLib_CheckCurveOnSurface 

-  Notes
(0042762)
git (administrator)
2015-07-06 17:17

Branch CR26323 has been created by nbv.

SHA-1: 05c8f976110206c5bf6cf6099596db11799c0251


Detailed log of new commits:

Author: nbv
Date: Mon Jul 6 16:37:09 2015 +0300

    0026323: Tolerance computing unification
    
    Computing is unified. ComputeFastTol3d() method was deleted.
    
    If intersection result contains 3D- and corresponded two 2D-curves then tolerance will be computed with using BRepLib_CheckCurveOnSurface algorithm (check same-parameter).
    
    If intersection result contains only 3D-curve (getting 2D-curve can be switched off by users) then tolerance will be computed with using GeomAPI_ProjectPointOnSurf algorithm (projects some point of 3D-curve on the surface and finds maximal distance).
    
    Some workarounds have been deleted.
(0042801)
git (administrator)
2015-07-07 14:58

Branch CR26323 has been updated forcibly by nbv.

SHA-1: 9d586ae2bf571bbd423393268d4c99b4c3ce1079
(0042804)
git (administrator)
2015-07-07 16:57

Branch CR26323 has been updated forcibly by nbv.

SHA-1: 0bff384ad1937d92ed11abf9007380eff413efed
(0042805)
nbv (developer)
2015-07-07 16:59

Dear Mikhail,

Please review CR26323 branch.
(0042857)
msv (developer)
2015-07-09 12:44

Reviewed.
(0042879)
git (administrator)
2015-07-09 17:23

Branch CR26323 has been updated forcibly by apv.

SHA-1: c3781e86c67adf0de3c93802e8401e8f0e3b530d
(0042880)
apv (tester)
2015-07-09 17:23

Branch CR26323 has been rebased on the IR-2015-07-09
(0042902)
apv (tester)
2015-07-10 13:34
edited on: 2015-07-10 18:04

Dear BugMaster,

Branch CR26323 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: c3781e86c67adf0de3c93802e8401e8f0e3b530d

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26323-IR-2015-07-09-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26323-IR-2015-07-09-occt-64/Windows-64-VC10/summary.html [^]
bugs modalg_5 bug25319_1, bug25319_2
boolean volumemaker F8 (Linux only)

(0042914)
nbv (developer)
2015-07-10 14:15

Dear Colleagues,

   boolean volumemaker F8 (Linux only)
We have on Windows analogical behavior. I.e. behavior of this test case is unified now for Windows and Linux.

   bugs modalg_5 bug25319_1, bug25319_2
Result is BAD even on the current MASTER (see bug 0026417).

Therefore,

Dear testers,

Please mark this test case as BAD with TODO, linked on bug 0026417.
(0042915)
nbv (developer)
2015-07-10 14:16

Dear Mikhail,

Please confirm all above said.
(0042923)
msv (developer)
2015-07-10 16:08

Reviewed.
(0042930)
git (administrator)
2015-07-10 17:09

Branch CR26323 has been updated by apv.

SHA-1: 8915fa93b48a1c7e7b2c3a66ba846f4f0750cdd9


Detailed log of new commits:

Author: apv
Date: Fri Jul 10 17:09:05 2015 +0300

    Update of test-cases according to the new behavior

(0042931)
apv (tester)
2015-07-10 18:04
edited on: 2015-07-10 18:04

Dear BugMaster,

Branch CR2626323 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 8915fa93b48a1c7e7b2c3a66ba846f4f0750cdd9

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 96136427 / 96705743 [-0.59%]
Total CPU difference: 17747.919999999842 / 17427.629999999786 [+1.84%]

Testing on Windows:
Total MEMORY difference: 57109761 / 56521409 [+1.04%]
Total CPU difference: 16567.05659839876 / 15971.39798009893 [+3.73%]

(0043162)
git (administrator)
2015-07-17 15:52

Branch CR26323_1 has been created by nbv.

SHA-1: 23830f11ce81606d55a8f94d35496c317cb49a94


Detailed log of new commits:

Author: nbv
Date: Fri Jul 17 14:41:31 2015 +0300

    0026323: Tolerance computing unification
    
    Computing is unified. ComputeFastTol3d() method was deleted.
    
    If intersection result contains 3D- and corresponded two 2D-curves then tolerance will be computed with using BRepLib_CheckCurveOnSurface algorithm (check same-parameter).
    
    If intersection result contains only 3D-curve (getting 2D-curve can be switched off by users) then tolerance will be computed with using GeomAPI_ProjectPointOnSurf algorithm (projects some point of 3D-curve on the surface and finds maximal distance).
    
    Some workarounds have been deleted.
    
    Some test case have been changed.
    
    Update of test-cases according to the new behavior
(0043163)
nbv (developer)
2015-07-17 15:55

Dear BugMaster,

There are some conflicts when rebasing CR26323 on the current MASTER (17 Jul 2015).

Therefore, please retest CR26323_1 branch where these conflicts have been eliminated.
(0043345)
apv (tester)
2015-07-23 16:30

Dear nbv,

Please, resolve conflicts between CR26323_1 and current master (22.07.2015).
(0043351)
git (administrator)
2015-07-23 16:44

Branch CR26323_1 has been updated forcibly by nbv.

SHA-1: df14b034c974111ff19404970fc0418d14619e1d
(0043352)
nbv (developer)
2015-07-23 16:44

Done
(0043398)
apv (tester)
2015-07-24 13:48

Dear BugMaster,

Branch CR26323_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: df14b034c974111ff19404970fc0418d14619e1d

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 99215803 / 99920147 [-0.70%]
Total CPU difference: 17480.97999999952 / 17418.65999999944 [+0.36%]

Testing on Windows:
Total MEMORY difference: 57643470 / 58599496 [-1.63%]
Total CPU difference: 16159.020382799235 / 16909.61919429929 [-4.44%]
(0044167)
git (administrator)
2015-08-14 10:54

Branch CR26323_1 has been deleted by inv.

SHA-1: df14b034c974111ff19404970fc0418d14619e1d
(0044195)
git (administrator)
2015-08-14 10:56

Branch CR26323 has been deleted by inv.

SHA-1: 8915fa93b48a1c7e7b2c3a66ba846f4f0750cdd9

- Related Changesets
occt: master 631633a2
Timestamp: 2015-07-23 13:43:37
Author: nbv
Committer: bugmaster
Details ] Diff ]
0026323: Tolerance computing unification

Computing is unified. ComputeFastTol3d() method was deleted.

If intersection result contains 3D- and corresponded two 2D-curves then tolerance will be computed with using BRepLib_CheckCurveOnSurface algorithm (check same-parameter).

If intersection result contains only 3D-curve (getting 2D-curve can be switched off by users) then tolerance will be computed with using GeomAPI_ProjectPointOnSurf algorithm (projects some point of 3D-curve on the surface and finds maximal distance).

Some workarounds have been deleted.

Some test case have been changed.
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - tests/boolean/volumemaker/E4 Diff ] File ]
mod - tests/boolean/volumemaker/E5 Diff ] File ]
mod - tests/boolean/volumemaker/E6 Diff ] File ]
mod - tests/boolean/volumemaker/F8 Diff ] File ]
mod - tests/bugs/modalg_5/bug24585_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug25292_11 Diff ] File ]
mod - tests/bugs/modalg_5/bug25292_12 Diff ] File ]
mod - tests/bugs/modalg_5/bug25292_31 Diff ] File ]
mod - tests/bugs/modalg_5/bug25292_32 Diff ] File ]
mod - tests/bugs/modalg_5/bug25319_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug25319_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-08 11:46 aml New Issue
2015-06-08 11:46 aml Assigned To => msv
2015-06-08 11:47 aml Relationship added child of 0021564
2015-06-08 11:47 aml Relationship added related to 0025613
2015-07-02 14:52 nbv Assigned To msv => nbv
2015-07-02 14:52 nbv Status new => assigned
2015-07-06 17:17 git Note Added: 0042762
2015-07-07 14:58 git Note Added: 0042801
2015-07-07 16:57 git Note Added: 0042804
2015-07-07 16:59 nbv Note Added: 0042805
2015-07-07 16:59 nbv Assigned To nbv => msv
2015-07-07 16:59 nbv Status assigned => resolved
2015-07-07 16:59 nbv Steps to Reproduce Updated View Revisions
2015-07-09 12:44 msv Note Added: 0042857
2015-07-09 12:44 msv Assigned To msv => bugmaster
2015-07-09 12:44 msv Status resolved => reviewed
2015-07-09 17:08 apv Assigned To bugmaster => apv
2015-07-09 17:23 git Note Added: 0042879
2015-07-09 17:23 apv Note Added: 0042880
2015-07-10 13:24 apv Test case number => Not needed
2015-07-10 13:34 apv Note Added: 0042902
2015-07-10 13:34 apv Assigned To apv => nbv
2015-07-10 13:34 apv Status reviewed => assigned
2015-07-10 13:43 apv Note Edited: 0042902 View Revisions
2015-07-10 14:15 nbv Note Added: 0042914
2015-07-10 14:16 nbv Note Added: 0042915
2015-07-10 14:16 nbv Assigned To nbv => msv
2015-07-10 14:16 nbv Status assigned => resolved
2015-07-10 16:08 msv Note Added: 0042923
2015-07-10 16:08 msv Assigned To msv => bugmaster
2015-07-10 16:08 msv Status resolved => reviewed
2015-07-10 16:48 apv Assigned To bugmaster => apv
2015-07-10 16:48 apv Status reviewed => feedback
2015-07-10 17:09 git Note Added: 0042930
2015-07-10 18:04 apv Note Added: 0042931
2015-07-10 18:04 apv Assigned To apv => bugmaster
2015-07-10 18:04 apv Status feedback => tested
2015-07-10 18:04 apv Note Edited: 0042931 View Revisions
2015-07-10 18:04 apv Note Edited: 0042902 View Revisions
2015-07-17 15:52 git Note Added: 0043162
2015-07-17 15:55 nbv Note Added: 0043163
2015-07-17 15:55 nbv Status tested => feedback
2015-07-21 11:46 bugmaster Assigned To bugmaster => apv
2015-07-23 16:30 apv Note Added: 0043345
2015-07-23 16:30 apv Assigned To apv => nbv
2015-07-23 16:30 apv Status feedback => assigned
2015-07-23 16:44 git Note Added: 0043351
2015-07-23 16:44 nbv Note Added: 0043352
2015-07-23 16:44 nbv Assigned To nbv => msv
2015-07-23 16:44 nbv Status assigned => resolved
2015-07-23 16:44 nbv Assigned To msv => bugmaster
2015-07-23 16:44 nbv Status resolved => reviewed
2015-07-23 17:12 apv Assigned To bugmaster => apv
2015-07-24 13:48 apv Note Added: 0043398
2015-07-24 13:48 apv Assigned To apv => bugmaster
2015-07-24 13:48 apv Status reviewed => tested
2015-07-24 14:40 nbv Relationship added related to 0026480
2015-07-31 12:07 nbv Relationship added related to 0026506
2015-07-31 12:24 nbv Relationship added related to 0025597
2015-07-31 12:31 bugmaster Changeset attached => occt master 631633a2
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-07-31 14:44 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:54 git Note Added: 0044167
2015-08-14 10:56 git Note Added: 0044195
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker